#include <iostream>
using namespace std;
char grad[500][500];
int d[500][500];



int main()
{
    int n,m;
    cin>>n>>m;
    for(int i=0;i<n;++i){
        for(int j=0;j<n;++j){
            cin>>grad[i][j];
        }
    }
    cout<<3;



    return 0;
}